#!/usr/bin/perl -w
# $Header: /home/hiro/projects/dvr2/scripts/RCS/dvr2-startrec.pl,v 1.3 2011/12/28 19:08:52 hiro Exp $
#===============================================================================
#
#         FILE:  dvr2-startrec.pl
#
#        USAGE:  ./dvr2-startrec.pl $program_id
#
#  DESCRIPTION:  Do start-of-recording processing
#
#       AUTHOR:  Copyright (c) 2011 Hiro Sugawara
#      CREATED:  10/24/11 09:33:01
#     REVISION:  ---
#===============================================================================

use strict;
use warnings;
use POSIX;
use File::Basename;

use POSIX qw(strftime);

our $mydir	= dirname $0;
our $myname	= basename $0;
require "$mydir/dvr2-common.pl";

my $id = shift @ARGV;
defined($id) || die "$myname: no argument\n";

my %iepg = (
	'start-recording'	=> strftime('%H:%M', localtime(time + 29)),
);

moveIEPG($id, 'scheduled', 'recorded', \%iepg);
setStat($id, 'Recording');
