# $Header: /home/hiro/projects/dvr2/RCS/tssplitter.mk,v 1.3 2012/07/13 23:00:05 hiro Exp $
#
#	== Project DVR2 ==
#
#	Makefile fragment for TSSSPLITTER
#
#	Copyright (c) 2011 Hiro Sugawara
#

TSSPLITTER-DIR	:= $(CWD)/tssplitter_lite

#
# TsSplitter
#
TSSPLITTER:
	$(MAKE) -C $(TSSPLITTER-DIR)

TSSPLITTER-CONFIGURE:
	cd $(TSSPLITTER-DIR) &&	\
		iconv -f shift_jis -t utf-8 readme.txt > readme.txt.utf8
	cd $(TSSPLITTER-DIR)/tssplitter_lite &&	\
		iconv -f shift_jis -t utf-8 tssplitter_lite.c > tssplitter_lite.c.utf8
TSSPLITTER-SWEEP:
	rm -f $(TSSPLITTER-DIR)/readme.txt.utf8
	rm -f $(TSSPLITTER-DIR)/tssplitter_lite/tssplitter_lite.c.utf8

TSSPLITTER-INSTALL:
	$(INSTALL) -m 755 $(TSSPLITTER-DIR)/tssplitter_lite/tssplitter_lite	\
		$(LINUX-INSTALL)/usr/local/bin

TSSPLITTER-CLEAN:
	$(MAKE) -C $(TSSPLITTER-DIR) clean

#
# Downloader
#
TSSPLITTER-DOWNLOAD:	WGET-TSSPLITTER
WGET-TSSPLITTER:
	wget http://hp.vector.co.jp/authors/VA038175/download/tssplitter_lite.zip
	unzip tssplitter_lite.zip

DIST-FILES	+= $(CWD)/tssplitter.mk
