# $Header: /home/hiro/projects/dvr2/RCS/bcs.mk,v 1.3 2012/07/13 22:58:33 hiro Exp $
#
#	== Project DVR2 ==
#
#	Makefile fragment for BonCasServer
#
#	Copyright (c) 2011,2012 Hiro Sugawara

BCS-DIR  := $(CWD)/bcs

BCS-INSTALL:
	$(MAKE) -C $(BCS-DIR) install

BCS-DOWNLOAD:
	cd $(BCS-DIR) && wget http://mono.kmc.gr.jp/~walkure/tmp/bcs-perl.pl

bcs-dist-files	:=	\
	$(BCS-DIR)/Makefile	\
	$(BCS-DIR)/README		\
	$(BCS-DIR)/bcs			\
	$(BCS-DIR)/bcs-conf


BCS-PACKAGE:
	tar -czvf bcs.tgz $(subst $(CWD)/,,$(bcs-dist-files) $(BCS-DIR)/bcs-perl.pl)

DIST-PATCH	+=	\
	$(BCS-DIR)/bcs-perl.pl

DIST-FILES	+=	\
	$(CWD)/bcs.mk	\
	$(bcs-dist-files)
